petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSchurComplementUpdateSubMatrices

Updates the Schur complement matrix object with new submatrices

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  MatSchurComplementUpdateSubMatrices(Mat S,Mat A00,Mat Ap00,Mat A01,Mat A10,Mat A11)

Collective on Mat

### Input Parameters

| S | - matrix obtained with MatCreateSchurComplement() (or equivalent) and implementing the action of A11 - A10 ksp(A00,Ap00) A01
| A00,A01,A10,A11 | - the four parts of A = [A00 A01; A10 A11] (A11 is optional)
| Ap00 | - preconditioning matrix for use in ksp(A00,Ap00) to approximate the action of A^{-1}.

### Notes

All four matrices must have the same MPI communicator

A00 and A11 must be square matrices

All of the matrices provided must have the same sizes as was used with MatCreateSchurComplement() or MatSchurComplementSetSubMatrices() though they need not be the same matrices.

### See Also

MatCreateNormal(), MatMult(), MatCreate(), MatSchurComplementGetKSP(), MatCreateSchurComplement()

### Level

intermediate

### Location

src/ksp/ksp/utils/schurm/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages